# $Revision: 1.9 $, $Date: 2008/09/29 12:59:42 $
Summary:	The CA NetConsole Daemon
Summary(pl.UTF-8):	Demon CA NetConsole
Name:		cancd
Version:	0.1.0
Release:	1
License:	GPL
Group:		Applications/File
Source0:	http://oss.oracle.com/projects/cancd/dist/files/source/%{name}-%{version}.tar.gz
# Source0-md5:	3eb4a75cfa4d1a860ea547fdc76c6d4d
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		%{name}-make.patch
Patch1:		%{name}-nullterminate.patch
URL:		http://oss.oracle.com/projects/cancd/
BuildRequires:	rpmbuild(macros) >= 1.228
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	/sbin/chkconfig
Requires:	rc-scripts >= 0.4.0.17
Provides:	group(cancd)
Provides:	user(cancd)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the CA NetConsole Daemon, a daemon to receive output from the
Linux netconsole driver.

%description -l pl.UTF-8
To jest demon CA NetConsole - demon odbierający wyjście z linuksowego
sterownika netconsole (konsoli sieciowej).

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	CC="%{__cc}" \
	OPTFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{rc.d/init.d,sysconfig},/var/log/cancd}
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/cancd
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/cancd

%clean
rm -rf "$RPM_BUILD_ROOT"

%pre
%groupadd -g 162 cancd
%useradd -u 162 -c "CA NetConsole Daemon" -g cancd cancd

%post
/sbin/chkconfig --add cancd
%service cancd restart

%preun
if [ "$1" = "0" ]; then
	%service cancd stop
	/sbin/chkconfig --del cancd
fi

%postun
if [ "$1" = "0" ]; then
	%userremove cancd
	%groupremove cancd
fi

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/cancd
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/cancd
%attr(754,root,root) /etc/rc.d/init.d/cancd
%attr(770,root,cancd) %dir /var/log/cancd

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cancd.spec,v $
Revision 1.9  2008/09/29 12:59:42  glen
- release 1

Revision 1.8  2007/02/12 21:23:50  glen
- tabs in preamble

Revision 1.7  2007/02/12 00:48:41  baggins
- converted to UTF-8

Revision 1.6  2006/06/13 06:33:33  glen
- terminate format string with \0

Revision 1.5  2006/01/08 20:40:08  qboosh
- pl

Revision 1.4  2006/01/06 20:51:37  glen
- no %config for initscript

Revision 1.3  2006/01/06 20:18:32  glen
- rc-scripts version for daemon --user

Revision 1.2  2006/01/06 20:18:03  glen
- added user and logdir
- use pld initscript/sysconfig

Revision 1.1  2006/01/06 19:59:17  glen
- new (based on bundled spec)
